Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Botan::TLS::Server_Name_Indicator Member List

This is the complete list of members for Botan::TLS::Server_Name_Indicator, including all inherited members.

empty() const override | Botan::TLS::Server_Name_Indicator | inline virtual
host_name() const | Botan::TLS::Server_Name_Indicator | inline
serialize() const override | Botan::TLS::Server_Name_Indicator | virtual
Server_Name_Indicator(const std::string &host_name) | Botan::TLS::Server_Name_Indicator | inline explicit
Server_Name_Indicator(TLS_Data_Reader &reader, uint16_t extension_size) | Botan::TLS::Server_Name_Indicator |
static_type() | Botan::TLS::Server_Name_Indicator | inline static
type() const override | Botan::TLS::Server_Name_Indicator | inline virtual
~Extension()=default | Botan::TLS::Extension | virtual